Subject: bug#12579: Emacs 24.1 / 24.2 daily crashes

From: "Fabrice Niessen" <[email-masked]>
Date: Sat, 06 Oct 2012 22:42:50 +0200

Hi Eli,

Eli Zaretskii wrote:
>> Attaching to process 5928
>> [New Thread 5928.0x1904]
>> [New Thread 5928.0x1c7c]
>> [New Thread 5928.0x1644]
>> [New Thread 5928.0x28c]
>> Reading symbols from /cygdrive/c/Program Files/Emacs-24.2/bin/emacs.exe...done.
>> warning: File "/cygdrive/c/Program Files/Emacs-24.2/.gdbinit" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
>> (gdb) thread apply all backtrace
>
> Since this _is_ a crash, you _must_ type "continue", wait for another
> GDB prompt, and only then type "thread apply all backtrace".

Yes, I've the impression that it was well a crash. But wasn't aware yet of the
subtle differences in the GDB commands I have to type. Now, I should be aware.
"Hoping" to give you much more meaningful stuff soon.

> Otherwise, you get a backtrace that is not useful.

AFAICT, there are 3 types of problems I have observed:

- infinite loop, where C-g doesn't do anything
- crash with Emacs dialog box "attach GDB, type continue"
- crash with some sort of Dr Watson, where Windows asks for launching a
  debugger.

I must have had that last one this afternoon, in the mail you reply to.

For information, the two last cases can be considered as one, and the same?
That is: type continue, wait, and type "thread..."?

Best regards,
Fabrice

-- 
Fabrice Niessen
Pre-sales, Network and Software Engineer
M i s s i o n   C r i t i c a l   I T
✉ [email-masked]
☎ +32 2-757.10.15